org.eclipse.gef.dot.internal.ui

## Class DotRecordBasedJavaFxNode

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.DotRecordBasedJavaFxNode

    public class DotRecordBasedJavaFxNode
    extends java.lang.Object

Class wrapping a JavaFX node for visualizing a record based node shape, including label.

### Constructor Summary

Constructors
Constructor and Description
`DotRecordBasedJavaFxNode(java.lang.String dotLabel, org.eclipse.gef.dot.internal.language.rankdir.Rankdir rankdir)` Constructor for record based node shapes.

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.geometry.Bounds` `getBounds()` Applies CSS and returns the calculated bounds for the FX Pane
`javafx.scene.layout.Pane` `getFxElement()` Returns the wrapped JavaFX Pane

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotRecordBasedJavaFxNode

    public DotRecordBasedJavaFxNode(java.lang.String dotLabel,
                                    org.eclipse.gef.dot.internal.language.rankdir.Rankdir rankdir)

Constructor for record based node shapes. Requires the string representation of the record shape label.

Parameters:
  `dotLabel` - The string representation of the record shape label.
  `rankdir` - The rankdir set for the current graph

### Method Detail

#### getFxElement

    public javafx.scene.layout.Pane getFxElement()

Returns the wrapped JavaFX Pane

Returns:
  the wrapped JavaFX pane for this node shape

#### getBounds

    public javafx.geometry.Bounds getBounds()

Applies CSS and returns the calculated bounds for the FX Pane

Returns:
  Bounds of the JavaFX pane after CSS/layout run.